function testit () {}

testit.init = function (id) 
{
    // switch on a led to know it has been initialized
	midi.sendShortMsg(0x90, 2, 0x7F);
	engine.connectControl("[Channel1]", "play_indicator", "testit.playLed");
};

testit.shutdown = function (id) 
{
	// Switch off all LEDs
	for (i=1; i<95; i++)
	{
		midi.sendShortMsg(0x90, i, 0x00);
	}
};

// Play led
testit.playLed = function (value, group, control)
{
	print("*** Received playLed: value="+value+", group="+group+", control="+control+";");
	if (group == "[Channel1]") 
	{
		midi.sendShortMsg(0x90,15, (value) ? 0x7F : 0x00); // Switch-on Play Led deck A
	}
	else if (group == "[channel2]")
	{
		midi.sendShortMsg(0x90,35, (value) ? 0x7F : 0x00); // Switch-on Play Led deck B
	}
}

//remove play_indicator, channel 1
testit.button1 = function (midino, control, value, status, group)
{
    midi.sendShortMsg(0x90, 2, 0x00);
	midi.sendShortMsg(0x90, 1, 0x7F);
	engine.connectControl("[Channel1]", "play_indicator", "testit.playLed", "true");
}

//set play_indicator, channel 1
testit.button2 = function (midino, control, value, status, group)
{
    midi.sendShortMsg(0x90, 1, 0x00);
	midi.sendShortMsg(0x90, 2, 0x7F);
	engine.connectControl("[Channel1]", "play_indicator", "testit.playLed");
}